## org.mortbay.util
Class LineInput.LineBuffer

    java.lang.Object
      |
      +--org.mortbay.util.LineInput.LineBuffer

Enclosing class:
  LineInput

public static class LineInput.LineBuffer
extends java.lang.Object

Reusable LineBuffer. Externalized LineBuffer for fast line parsing.

Field Summary
`char[]` `buffer`
`int` `size`

Constructor Summary
`LineInput.LineBuffer(int maxLineLength)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### buffer

    public char[] buffer

### size

    public int size

Constructor Detail

### LineInput.LineBuffer

    public LineInput.LineBuffer(int maxLineLength)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.